cURL
curl --request POST \
--url https://api.useanima.sh/v1/vault/oauth/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appSlug": "<string>",
"agentId": "<string>",
"userId": "<string>",
"scopes": [
"<string>"
],
"callbackUrl": "<string>",
"customAppId": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/vault/oauth/link"
payload = {
"appSlug": "<string>",
"agentId": "<string>",
"userId": "<string>",
"scopes": ["<string>"],
"callbackUrl": "<string>",
"customAppId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appSlug: '<string>',
agentId: '<string>',
userId: '<string>',
scopes: ['<string>'],
callbackUrl: '<string>',
customAppId: '<string>'
})
};
fetch('https://api.useanima.sh/v1/vault/oauth/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"linkUrl": "<string>",
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}API Reference
Post vaultoauthlink
POST
/
vault
/
oauth
/
link
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Input for creating a Connect Link — a hosted auth URL
App slug to create a link for (e.g. google, github)
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
Pattern:
^[0-9a-z]+$End-user ID for multi-tenant scoping
Override default scopes
URL to redirect to after auth completes
Use a custom OAuth app (BYOA)
⌘I
